## xdoclet.modules.portlet
Class PortletDocletTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              xjavadoc.ant.XJavadocTask
                  xdoclet.DocletTask
                      xdoclet.modules.portlet.PortletDocletTask

All Implemented Interfaces:
  org.apache.tools.ant.DynamicConfigurator

public class PortletDocletTask
extends DocletTask

This task executes various portlet-specific sub-tasks. Make sure to include the jar file containing Sun's javax.portlet.* classes on the taskdef's classpath.

Author:
  Craig Walls (xdoclet@habuma.com)
ant.element
  name="portletdoclet" display-name="Portlet Task"
created
  August 18, 2003

Field Summary

Fields inherited from class xdoclet.DocletTask
`XDOCLET_VERSION`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`PortletDocletTask()`

Method Summary
`protected void` `validateOptions()` Called by superclass before start() is called

Methods inherited from class xdoclet.DocletTask

`addConfigParam, addFileset, addPackageSubstitution, addSubTask, addTemplate, addXmlTemplate, checkClass, createDynamicElement, getAddedTags, getConfigParams, getConfigParams, getConfigParamsAsMap, getDestDir, getExcludedTags, getMergeDir, getPackageSubstitutions, getSubTaskName, getSubTasks, isForce, isVerbose, setAddedTags, setDestDir, setDynamicAttribute, setExcludedTags, setExcludePackageNames, setForce, setMergeDir, setPackageNames, setPackageSubstitutions, setVerbose, start, validateSubTasks`

Methods inherited from class xjavadoc.ant.XJavadocTask
`createIgnoredtag, execute, getClasspath, getXJavaDoc, setDocencoding, setEncoding, setIgnoredtags, setValidating`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletDocletTask

    public PortletDocletTask()

Method Detail

### validateOptions

    protected void validateOptions()
                            throws org.apache.tools.ant.BuildException

  Description copied from class: `DocletTask`
  Called by superclass before start() is called

  Overrides:
    `validateOptions` in class `DocletTask`
  Throws:
    `org.apache.tools.ant.BuildException` - Describe the exception

http://xdoclet.sourceforge.net/